#ifndef HIDEBUTTON_H
#define HIDEBUTTON_H

#include <QWidget>
#include <QPaintEvent>
#include <QPainter>
#include <QIcon>
#include <QPixmap>
#include <QMouseEvent>

class HideButton: public QWidget
{
    Q_OBJECT
public:
    HideButton(QWidget *parent = 0);
protected:
    virtual void paintEvent(QPaintEvent *);
    virtual void mousePressEvent(QMouseEvent *e);
    virtual void mouseReleaseEvent(QMouseEvent *e);
    virtual void mouseMoveEvent(QMouseEvent *e);
private:
    QIcon *m_icon;
    bool pressed;
    bool mouseOver;
signals:
    void clicked();
};

#endif
