TEMPLATE = app
TARGET = LogGenerator
QT += core \
    gui \
    network \
    xml
HEADERS += GeneratorThread.h \
    LogGenerator.h
SOURCES += GeneratorThread.cpp \
    main.cpp \
    LogGenerator.cpp
RESOURCES += resources.qrc
TRANSLATIONS += translations/LogGenerator.ts    \
    translations/LogGenerator_ar.ts \
    translations/LogGenerator_el.ts \
    translations/LogGenerator_es.ts \
    translations/LogGenerator_fr.ts \
    translations/LogGenerator_ro.ts \
    translations/LogGenerator_ru.ts \
    translations/LogGenerator_pl.ts
CONFIG += qdbus

INCLUDEPATH += ../ .
LIBS += -L../libubudsl/.build -lubudsl

translations.files = $$replace(TRANSLATIONS, ".ts", ".qm")
translations.path = /opt/ubudsl/translations
message($$translations.files)
target.path = /opt/ubudsl/bin

QMAKE_LFLAGS += --as-needed
INSTALLS += target \
        translations
